apiVersion: apps/v1
kind: Deployment
metadata:
  name: service-api-grammar
spec:
  replicas: 1
  selector:
    matchLabels:
      app: service-api-grammar
  template:
    metadata:
      labels:
        app: service-api-grammar
    spec:
      containers:
        - name: service-api-grammar
          image: sha256:836b27b6e23400b0289bbab92a8623797b00309a4e7b3f2c44b9bc7f6c49f2e6
          imagePullPolicy: Never
          env:
            - name: API_URL
              value: service-api
---
apiVersion: v1
kind: Service
metadata:
  name: service-api-grammar
spec:
  type: NodePort
  ports:
    - port: 80
      protocol: TCP
      targetPort: 8888
      nodePort: 30002
  selector:
    app: service-api-grammar
